# nvme-endurance-event-agg-log(1) Manual Page

## NAME

nvme-endurance-event-agg-log - Send NVMe Endurance log page request, returns result and log

## SYNOPSIS

    nvme endurance-event-agg-log <device> [--log-entries=<log_entries> | -e <log_entries>]
                            [--rae | -r] [--raw-binary | -b]
                            [--output-format=<fmt> | -o <fmt>]

## DESCRIPTION

Retrieves the NVMe Endurance Event Aggregate log page from an NVMe device and provides the returned structure.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

On success, the returned endurance event agg log structure may be returned in one of several ways depending on the option flags; the structure may parsed by the program and printed in a readable format, the raw buffer may be printed to stdout for another program to parse, or reported in json format.

## OPTIONS

-e <log_entries>
--log-entries=<log_entries>

  Retrieve the Endurance Group Event Aggregate Log pending entries. This argument is mandatory and its success may depend on the device’s statistics to provide this log For More details see NVM Express 1.4 Spec. Section 5.14.1.15. The maximum number of log entries supported is 2044 for the device.

-r
--rae

  Retain an Asynchronous Event.

-o <format>
--output-format=<format>

  Set the reporting format to normal, json, or binary. Only one output format can be used at a time.

## EXAMPLES

- Print the Endurance log page in a human readable format:

      # nvme endurance-event-agg-log /dev/nvme0

- Print the raw Endurance log to a file:

      # nvme endurance-event-agg-log /dev/nvme0 --output=binary > endurance_event_agg_log.raw

  It is probably a bad idea to not redirect stdout when using this mode.

## NVME

Part of the nvme-user suite